Bug 1408947 - C extension module was built for another version of psutil (different than 2.2.1)
Summary: C extension module was built for another version of psutil (different than 2....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-psutil
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Fedora Infrastructure SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-28 11:02 UTC by Konrad Mosoń
Modified: 2017-08-31 22:19 UTC (History)
6 users (show)

Fixed In Version: python-psutil-2.2.1-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-31 22:19:32 UTC


Attachments (Terms of Use)

Description Konrad Mosoń 2016-12-28 11:02:11 UTC
Description of problem:

ImportError: version conflict: '/usr/lib64/python2.7/site-packages/psutil/_psutil_linux.so' C extension module was built for another version of psutil (different than 2.2.1)


Version-Release number of selected component (if applicable):
python-psutil-2.2.1-1.el7


How reproducible:
Always.


Steps to Reproduce:
1. yum install -y certbot
2. certbot certonly

Actual results:

 # certbot certonly
An unexpected error occurred:
ImportError: version conflict: '/usr/lib64/python2.7/site-packages/psutil/_psutil_linux.so' C extension module was built for another version of psutil (different than 2.2.1)
Please see the logfile 'certbot.log' for more details.


Expected results:
certbot (and probably some other tools…) should works correctly


Additional info:
I had CentOS 7.2 when I installed those packages. I upgraded all packages to 7.3, but problem persists.

Comment 1 Fedora Update System 2017-08-31 09:25:22 UTC
python-xapp-1.0.1-5.el7 python-psutil-2.2.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-50296d004a

Comment 2 Fedora Update System 2017-08-31 22:19:32 UTC
python-psutil-2.2.1-2.el7, python-xapp-1.0.1-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.